CREATE PROCEDURE [C6MartPeriodicoImmobiliare].[insertRichiesteMonitoraggioCatastoCliente] 
    @rete varchar(1), 
    @agente varchar(255), 
    @agenteCognome varchar(255),
    @agenteNome varchar(255),
    @codFis varchar(16),
    @nomeCliente varchar(255),
    @cognomeCliente varchar(255)
AS
BEGIN
declare @exit_status	numeric
BEGIN TRY
begin transaction
set @exit_status = 0
INSERT INTO CONSUNI.ConsulenzaUnicaFL.dbo.Immobiliare_RichiesteMonitoraggioCatastoCliente(
   rete
  ,agente
  ,agenteCognome
  ,agenteNome
  ,codFis
  ,cognomeCliente
  ,nomeCliente
  ,dtElabRichiestaCatasto
  ,dtElabRicezioneCatasto
  ,dtElabRichiestaRischio
  ,dtElabRicezioneRischio
  ,utente
) VALUES (
   @rete
  ,@agente
  ,@agenteCognome
  ,@agenteNome
  ,@codFis
  ,@cognomeCliente
  ,@nomeCliente
  ,NULL
  ,NULL
  ,NULL
  ,NULL
  ,NULL
)
set @exit_status = @@ROWCOUNT
commit transaction
END TRY
BEGIN CATCH
rollback transaction
		set @exit_status = 0
END CATCH	
	return @exit_status
END